import { defineStore } from 'pinia'

export const useUserStore = defineStore('user', {
  state: () => ({ cur_city:{}, user_info: {}, accountId:'',friend_account_id:'' }),
  actions: {
    setCity(data) {
      this.cur_city = data
    },
    setUserInfo(data) {
      this.user_info = data
    },
    setAccountId(data) {
      this.accountId = data
    },
    setFriendAccountId(data) {
      this.friend_account_id = data
    }
  }
})